<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/Parsers/Python/ASGTranslator/TokenParser.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis.Parsers.Python.ASGTranslator.TokenParser</title>
<link href="../../../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../../../Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../../../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">module <a href="../../../../Synopsis.html" >Synopsis</a>.<a href="../../../Parsers.html" >Parsers</a>.<a href="../../Python.html" >Python</a>.<a href="../ASGTranslator.html" >ASGTranslator</a>
</div><div class="class-name">class TokenParser

</div><div class="links"><div class="file">File: <a href="../../../../../File/Synopsis/Parsers/Python/ASGTranslator.py.html" target="detail">../Synopsis/Parsers/Python/ASGTranslator.py</a></div> <div class="xref"><a href="../../../../../XRef/xref22.html#Synopsis.Parsers.Python.ASGTranslator.TokenParser" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/Python/ASGTranslator.py.html#line17" ><img src="../../../../../src-py.png" alt="source code"/></a></div></div>   <div class="doc"></div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Attributes Summary:</div>
<div class="item"><div class="synopsis"> <a class="name" id="text">text</a></div> <div class="xref"></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/Python/ASGTranslator.py.html#line20" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="lines">lines</a></div> <div class="xref"></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/Python/ASGTranslator.py.html#line21" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="generator">generator</a></div> <div class="xref"></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/Python/ASGTranslator.py.html#line22" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Class attributes Summary:</div>
<div class="item"><div class="synopsis"> <a class="name" id="closers">closers</a></div> <div class="xref"></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/Python/ASGTranslator.py.html#line61" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="openers">openers</a></div> <div class="xref"></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/Python/ASGTranslator.py.html#line62" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="del_ws_prefix">del_ws_prefix</a></div> <div class="xref"></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/Python/ASGTranslator.py.html#line63" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="no_ws_suffix">no_ws_suffix</a></div> <div class="xref"></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/Python/ASGTranslator.py.html#line64" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Methods Summary:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="__init__">__init__</a>(<span class="variable">self</span>, <span class="variable">text</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref22.html#Synopsis.Parsers.Python.ASGTranslator.TokenParser.__init__" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/Python/ASGTranslator.py.html#line19" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="__iter__">__iter__</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref22.html#Synopsis.Parsers.Python.ASGTranslator.TokenParser.__iter__" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/Python/ASGTranslator.py.html#line25" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="next">next</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref22.html#Synopsis.Parsers.Python.ASGTranslator.TokenParser.next" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/Python/ASGTranslator.py.html#line28" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="goto_line">goto_line</a>(<span class="variable">self</span>, <span class="variable">lineno</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref22.html#Synopsis.Parsers.Python.ASGTranslator.TokenParser.goto_line" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/Python/ASGTranslator.py.html#line33" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="TokenParser.html#rhs" >rhs</a></span>(<span class="variable">self</span>, <span class="variable">lineno</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref22.html#Synopsis.Parsers.Python.ASGTranslator.TokenParser.rhs" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/Python/ASGTranslator.py.html#line38" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">
        Return a whitespace-normalized expression string from the right-hand
        side of an assignment at line `lineno`.</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="note_token">note_token</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref22.html#Synopsis.Parsers.Python.ASGTranslator.TokenParser.note_token" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/Python/ASGTranslator.py.html#line66" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="TokenParser.html#function_parameters" >function_parameters</a></span>(<span class="variable">self</span>, <span class="variable">lineno</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref22.html#Synopsis.Parsers.Python.ASGTranslator.TokenParser.function_parameters" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/Python/ASGTranslator.py.html#line96" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">
        Return a dictionary mapping parameters to defaults
        &#40;whitespace-normalized strings&#41;.</div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<!-- this part was generated by Detail -->
<div class="detail">
<div class="heading">Methods Details:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="rhs">rhs</a>(<span class="variable">self</span>, <span class="variable">lineno</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref22.html#Synopsis.Parsers.Python.ASGTranslator.TokenParser.rhs" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/Python/ASGTranslator.py.html#line38" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">
        Return a whitespace-normalized expression string from the right-hand
        side of an assignment at line `lineno`.
        </div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="function_parameters">function_parameters</a>(<span class="variable">self</span>, <span class="variable">lineno</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref22.html#Synopsis.Parsers.Python.ASGTranslator.TokenParser.function_parameters" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/Python/ASGTranslator.py.html#line96" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">
        Return a dictionary mapping parameters to defaults
        &#40;whitespace-normalized strings&#41;.
        </div></div>
</div><!-- detail -->

<div class="logo">Generated on Thu Apr 16 16:27:02 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
